Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 OS Memory Buffer Management (IxOsBuffMgt) API IXP425 OS Memory Buffer Management. More...
## Data Structures
struct | __IX_MBUF
## Defines
#define | m_net_pool
#define | m_next
#define | m_len
#define | m_data
#define | m_type
#define | m_flags
#define | m_nextpkt
#define | m_act
#define | m_pkthdr
#define | SIZEOF_IP_HEADER
#define | IX_MBUF_MDATA(m_blk_ptr)
| Return pointer to the data in the mbuf.
#define | IX_MBUF_MLEN(m_blk_ptr)
| Return the data length.
#define | IX_MBUF_TYPE(m_blk_ptr)
| Return the data type in the mbuf.
#define | IX_MBUF_NEXT_BUFFER_IN_PKT_PTR(m_blk_ptr)
| Return pointer to the next mbuf in a single packet.
#define | IX_MBUF_NEXT_PKT_IN_CHAIN_PTR(m_blk_ptr)
| Return pointer to the next packet in the chain.
#define | IX_MBUF_ALLOCATED_BUFF_LEN(m_blk_ptr)
| Return the allocated buffer size.
#define | IX_MBUF_PKT_LEN(m_blk_ptr)
| Return the total length of all the data in the mbuf chain for this packet.
#define | IX_MBUF_FLAGS(m_blk_ptr)
| Return the buffer flags.
#define | IX_MBUF_NET_POOL(m_blk_ptr)
| Return pointer to a network pool.
## Typedefs
typedef __IX_MBUF | IX_MBUF
## Detailed Description IXP425 OS Memory Buffer Management. ## Define Documentation
#define IX_MBUF_ALLOCATED_BUFF_LEN | ( | m_blk_ptr |  | ) |
| Return the allocated buffer size. Definition at line 162 of file IxOsBuffMgt.h.
#define IX_MBUF_FLAGS | ( | m_blk_ptr |  | ) |
| Return the buffer flags. Definition at line 176 of file IxOsBuffMgt.h.
#define IX_MBUF_MDATA | ( | m_blk_ptr |  | ) |
| Return pointer to the data in the mbuf. Definition at line 127 of file IxOsBuffMgt.h.
#define IX_MBUF_MLEN | ( | m_blk_ptr |  | ) |
| Return the data length. Definition at line 134 of file IxOsBuffMgt.h.
#define IX_MBUF_NET_POOL | ( | m_blk_ptr |  | ) |
| Return pointer to a network pool. Definition at line 184 of file IxOsBuffMgt.h.
#define IX_MBUF_NEXT_BUFFER_IN_PKT_PTR | ( | m_blk_ptr |  | ) |
| Return pointer to the next mbuf in a single packet. Definition at line 148 of file IxOsBuffMgt.h.
#define IX_MBUF_NEXT_PKT_IN_CHAIN_PTR | ( | m_blk_ptr |  | ) |
| Return pointer to the next packet in the chain. Definition at line 155 of file IxOsBuffMgt.h.
#define IX_MBUF_PKT_LEN | ( | m_blk_ptr |  | ) |
| Return the total length of all the data in the mbuf chain for this packet. Definition at line 169 of file IxOsBuffMgt.h.
#define IX_MBUF_TYPE | ( | m_blk_ptr |  | ) |
| Return the data type in the mbuf. Definition at line 141 of file IxOsBuffMgt.h.
Automatically generated from sources. © Intel Corp. 2003